Subject: bug#53805: 27.2; NonGNU ELPA: helm does not install dependencies

From: Thierry Volpiatto <[email-masked]>
Date: Sun, 06 Feb 2022 17:57:17 +0000

Stefan Monnier <[email-masked]> writes:

>>> The scripts try to handle those problems by cleaning after themselves,
>>> but apparently not well enough because I've already had to go and
>>> manually unwedge the system for a few packages that have their own
>>> `<pkg>-pkg.el` file (`helm` and `helm-core` being among those I've had
>>> to manually unwedge :-( ).
>>
>> Not sure to understand this, what do you mean by unwedge? (sorry didn't
>> find the translation, "décoincer" perhaps?).
>
> "décoincer" is what I was thinking, yes.  Concretely, it means I have to
> log into `elpa.gnu.org` and manually `git reset --hard` at the right
> spot otherwise the cron job keeps giving me an error on the offending package.

Ok thanks.

> It's due to a bug in `elpa-admin.el`, but it's one I haven't been able
> to fix yet (and already "fixed it" once, so there's a chance that if
> I "fix it" this time it still won't really be fixed).

Ok.

>> What I could do is creating a new file helm-core.el with only the needed
>> informations e.g. package-requires and add as well the package-requires
>> infos in helm.el, this would work for both Melpa and Elpa (after
>> removing the *pkg.el files).
>> WDYT?
>
> That's the recommended way, yes.

Ok, so I have applied your patch, thanks.
I have removed the emacs and async dependencies in helm.el as we already
do this in helm-core.el (as suggested in your FIXME).

-- 
Thierry